
Figure - Bug #116096
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT2】【蓝牙】进入“与新设备配对”页面时，页面闪现“未在附近找到蓝牙设备。”的文言
2023-02-08 17:42 - CD Test赵飞

Status: CLOSED Start date: 2023-02-08

Priority: Normal Due date: 2023-02-10

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-11

Test Type: ST Root cause: ProgressCategory在初始化时设置了hodler为空的提示文本，刚进入添加蓝牙页面时，蓝牙列表会为空，所以有提示文本����如果不设置提示文本会导致空指针异常，所以把提示文本设置为空白，提示文本也不再弹出

Description

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置- 已连接的设备 - 与新设备配对

【预期结果】

1、页面显示正常

【实际结果】

1、页面闪现“未在附近找到蓝牙设备。”的文言

【日志】

截图见附件

History

#1 - 2023-02-08 19:56 - CD FW 曹覃刚

- Due date set to 2023-02-10

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

设置页面闪现“未在附近找到蓝牙设备。”的文言

检查显示条件，根据UE/UI，可以考虑删除这个提示

#2 - 2023-02-11 14:18 - CD FW-程天颖

- Root cause set to ProgressCategory在初始化时设置了hodler为空的提示文本，刚进入添加蓝牙页面时，蓝牙列表会为空，所以有提示文本

如果不设置提示文本会导致空指针异常，所以把提示文本设置为空白，提示文本也不再弹出

■ Current conclusion

代码已提交

■ My analysis
ProgressCategory在初始化时设置了hodler为空的提示文本，刚进入添加蓝牙页面时，蓝牙列表会为空，所以有提示文本

如果不设置提示文本会导致空指针异常，所以把提示文本设置为空白，提示文本也不再弹出

■ Next action

代码入库

#3 - 2023-02-11 15:56 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

181039 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings: Fix flashes text when paired with BluetoothTC-RID: 1201-0201801IssueID: TS-R-BUG-116096Change-Id:

I9151f7fcecb8f1c54acaf30bec57815733730056

#4 - 2023-02-11 15:59 - CD FW-程天颖

- Status changed from New to RESOLVED

- Assignee changed from CD FW-程天颖 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-11

■ Current conclusion

代码已提交

■ My analysis

ProgressCategory在初始化时设置了hodler为空的提示文本，刚进入添加蓝牙页面时，蓝牙列表会为空，所以有提示文本

如果不设置提示文本会导致空指针异常，所以把提示文本设置为空白，提示文本也不再弹出

■ Submit Url

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/181039

#5 - 2023-02-14 10:45 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0074.X101

验证结果：PASS

#6 - 2023-02-14 10:45 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

screenshot.png 409 KB 2023-02-08 CD Test赵飞

screen-20230208-070812.mp4 2.01 MB 2023-02-08 CD Test赵飞
